Create Feedback Rating V2
curl --request PUT \
--url https://api.galileo.ai/v2/projects/{project_id}/feedback/templates/{template_id}/traces/{trace_id}/rating \
--header 'Content-Type: application/json' \
--header 'Splunk-AO-API-Key: <api-key>' \
--data '
{
"rating": {
"value": true,
"feedback_type": "like_dislike"
},
"explanation": "<string>"
}
'import requests
url = "https://api.galileo.ai/v2/projects/{project_id}/feedback/templates/{template_id}/traces/{trace_id}/rating"
payload = {
"rating": {
"value": True,
"feedback_type": "like_dislike"
},
"explanation": "<string>"
}
headers = {
"Splunk-AO-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Splunk-AO-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({rating: {value: true, feedback_type: 'like_dislike'}, explanation: '<string>'})
};
fetch('https://api.galileo.ai/v2/projects/{project_id}/feedback/templates/{template_id}/traces/{trace_id}/rating', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rating": {
"value": true,
"feedback_type": "like_dislike"
},
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"explanation": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}feedback
Create Feedback Rating V2
deprecated
PUT
/
v2
/
projects
/
{project_id}
/
feedback
/
templates
/
{template_id}
/
traces
/
{trace_id}
/
rating
Create Feedback Rating V2
Authorizations
APIKeyHeaderOAuth2PasswordBearerHTTPBasic
Path Parameters
Body
application/json
Was this page helpful?
⌘I